Bug 135482 - Update Port: x11/xcb-util to v.0.3.5
Summary: Update Port: x11/xcb-util to v.0.3.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dennis Herrmann
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-06-11 19:50 UTC by Ashish Shukla
Modified: 2009-06-16 19:10 UTC (History)
0 users

See Also:


Attachments
file.diff (957 bytes, patch)
2009-06-11 19:50 UTC, Ashish Shukla
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ashish Shukla 2009-06-11 19:50:01 UTC
Update to v.0.3.5.
Comment 1 Edwin Groothuis freebsd_committer 2009-06-11 19:50:10 UTC
Maintainer of x11/xcb-util,

Please note that PR ports/135482 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/135482

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2009-06-11 19:50:11 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Nikos Ntarmos 2009-06-11 20:31:07 UTC
Thanks for the PR. As it is, the patch is incomplete as it misses some
pkg-plist changes (xcb-util v0.3.5 bumps libxcb-keysyms.so to version 1
and removes some .h and .so files). Moreover, v0.3.5 requires libxcb
compiled against xcb-proto >= 1.5 and there is still v1.4 in the ports
tree. I'm waiting for the xcb-proto update myself to submit the PR.

Cheers.

\n\n
Comment 4 Dennis Herrmann freebsd_committer 2009-06-14 23:29:55 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dhn

I'll take it.
Comment 5 Nikos Ntarmos 2009-06-15 23:18:59 UTC
Now that the rest of the xcb ports are updated, the patch submitted by
Ashish is identical to mine. Please commit.

Thanks.
Comment 6 dfilter service freebsd_committer 2009-06-16 19:03:10 UTC
dhn         2009-06-16 18:03:00 UTC

  FreeBSD ports repository

  Modified files:
    x11/xcb-util         Makefile distinfo 
  Log:
  - Update to 0.3.5
  
  PR:             ports/135482
  Submitted by:   Ashish SHUKLA <wahjava@gmail.com>
  pproved by:     Nikos Ntarmos <ntarmos@cs.uoi.gr> (maintainer)
  
  Revision  Changes    Path
  1.11      +1 -2      ports/x11/xcb-util/Makefile
  1.7       +3 -3      ports/x11/xcb-util/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Dennis Herrmann freebsd_committer 2009-06-16 19:03:13 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!